import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    rules1d : {},
    cellProperties: {
      size: 5,
      liveColor: '#000000',
      deadColor: '#AA78E8',
    },
  },
  mutations: {
    update1dRules(state, data) {
      state.rules1d[data.rule] = data.value
    },
    setCellProperties(state, data) {
      state.cellProperties[data.name] = data.value
    },
  },
  actions: {
  },
  modules: {
  }
})
